Bug 995486 - Incorrectly described role of participants
Incorrectly described role of participants
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: EAP 6.1.1
Assigned To: Russell Dickenson
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 10:06 EDT by Ondrej Chaloupka
Modified: 2014-08-14 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 11864, Development Guide-6.1-4 Build Date: 19-07-2013 12:11:48 Topic ID: 4270-155458 [Specified]
Last Closed: 2013-09-16 16:39:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-08-09 10:06:02 EDT
Title: About Transaction Participants
The guide says:
Each participant of a transaction agrees to only commit its state if every other participant can also do so. Otherwise, they each roll back.

This is not true. Each participant can decide separately and independently on the others. It's task of TM to coordinate them and make their decision to be corresponding to each other.

It's not directly connected but there is some info about participants from TS devs here:
http://docs.jboss.org/jbosstm/5.0.0.M3/guides/transactions_overview_guide/index.html#d0e467
Comment 1 Misty Stanley-Jones 2013-08-16 02:37:18 EDT
How do you like this text instead?

Each participant of a transaction independently decides whether it is able to commit or roll back its state, and only if all participants can commit, does the transaction as a whole succeed. Otherwise, each participant rolls back its state, and the transaction as a whole fails. The Transaction Manager coordinates the commit or rollback operations and determines the outcome of the transaction.

I've made this change in revision 495481, which is not yet visible to you. Please provide feedback on the changes I've pasted above.
Comment 2 Ondrej Chaloupka 2013-08-16 08:15:06 EDT
Hi,

yeap, this sounds nice.

Thanks
Ondra
Comment 3 Russell Dickenson 2013-08-26 21:13:44 EDT
The amended text has been included but is not yet available for QE on Docstage. When it is available, I will set this ticket to ON_QA.

Note You need to log in before you can comment on or make changes to this bug.